import Vue from 'vue';
import Vuex from 'vuex';
import siteinfo from './siteinfo';
import links from './links';
import connews from './connews';
import concolumn from './concolumn';
import trainnews from './trainnews';
import traincolumn from './traincolumn';
import videomeet from './videomeet';

Vue.use(Vuex);

export default new Vuex.Store({
  state: {},
  mutations: {},
  actions: {},
  modules: {
    siteinfo,
    links,
    connews,
    concolumn,
    trainnews,
    traincolumn,
    videomeet,
  },
});
